## org.eclipse.emf.ecore.impl
Class EStoreEObjectImpl.EStoreImpl.Entry

    java.lang.Object
      org.eclipse.emf.ecore.impl.EStoreEObjectImpl.EStoreImpl.Entry

Enclosing class:
  EStoreEObjectImpl.EStoreImpl

    public static class EStoreEObjectImpl.EStoreImpl.Entry

extends java.lang.Object

Field Summary
`protected EObject` `eObject`
`protected EStructuralFeature` `eStructuralFeature`

Constructor Summary
`EStoreEObjectImpl.EStoreImpl.Entry(InternalEObject eObject, EStructuralFeature eStructuralFeature)`

Method Summary
`boolean` `equals(java.lang.Object that)`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eObject

    protected EObject eObject

### eStructuralFeature

    protected EStructuralFeature eStructuralFeature

Constructor Detail

### EStoreEObjectImpl.EStoreImpl.Entry

    public EStoreEObjectImpl.EStoreImpl.Entry(InternalEObject eObject,
                                              EStructuralFeature eStructuralFeature)

Method Detail

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.